POST/shorts.v1alpha1.PoliticiansService/ListPoliticians

ListPoliticians

Browse/filter parliamentarians.

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object
chamberstring

optional (proto string)

limitinteger <int32>

default 100, max 500 (proto int32)

offsetinteger <int32>

(proto int32)

partyAbstring

optional (proto string)

querystring

optional name substring (proto string)

stateCodestring

optional (proto string)

Responses

200Success
application/json
object
politiciansarray

(proto shorts.v1alpha1.Politician)

Array Items:
totalinteger <int32>

(proto int32)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.PoliticiansService/ListPoliticians" \
  -H "Content-Type: application/json" \
  -d '{
  "chamber": "string",
  "limit": 0,
  "offset": 0,
  "partyAb": "string",
  "query": "string",
  "stateCode": "string"
}'